// SCRIPT
const pageJump = (key, value) => {
    let search_data = {
        ...page_options.value,
    }
    search_data[key] = value
    if (key !== 'page') {
        search_data.page = 1
    }
    let url = `/combo_list?`
    for (let i in search_data) {
        if (search_data[i]) {
            url += `${i}=${search_data[i]}&`
        }
    }
    window.location.href = url
}
// SCRIPT END
// MOUNTED

// MOUNTED END
// RETURN
const ret_ = {
    pageJump,
}
// RETURN END
// OPTIONS
const opt = (g) => {
    return {
        type: 'type' in g ? g.type : '',
        combo_type: 'combo_type' in g ? g.combo_type : '',
        price: 'price' in g ? g.price : '',
        sex: 'sex' in g ? g.sex : '',
        order: 'order' in g ? g.order : 'zh',
        search: 'search' in g ? g.search : '',
        page: 'page' in g ? Number(g.page) : 1,
    }
}
// OPTIONS END
